# DXGfxLib.FrameworkMeshObject Class Reference

Inherits DXGfxLib::MeshObjectWithLOD, and DXGfxLib::MeshObjectWithLOD.

Collaboration diagram for DXGfxLib.FrameworkMeshObject:

[legend]

List of all members.

## Public Member Functions
void | Attach (FrameworkMesh meshToAttach)
| This method is used to associate a FrameworkMesh instance to the SceneObject.
virtual void | AttachWithLOD (Device d3ddevice, FrameworkMesh meshToAttach)
override void | Draw (Device device)
| In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.
void | Attach (FrameworkMesh meshToAttach)
| This method is used to associate a FrameworkMesh instance to the SceneObject.
virtual void | AttachWithLOD (Device d3ddevice, FrameworkMesh meshToAttach)
override void | Draw (Device device)
| In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.
## Protected Attributes
FrameworkMesh | frameworkMesh = null
| Most of the time we are going to attach full framework Mesh to our scene object so we keep a possible ref to that in the base SceneObject class. This might be moved to a derive class in the future but it does suit my current needs.

## Detailed Description

Definition at line 26 of file FrameworkMeshObject.cs.

## Member Function Documentation

void DXGfxLib.FrameworkMeshObject.Attach | ( | FrameworkMesh | meshToAttach | ) |

This method is used to associate a FrameworkMesh instance to the SceneObject.

Parameters:

  | meshToAttach |

Definition at line 38 of file FrameworkMeshObject.cs.

void DXGfxLib.FrameworkMeshObject.Attach | ( | FrameworkMesh | meshToAttach | ) |

This method is used to associate a FrameworkMesh instance to the SceneObject.

Parameters:

  | meshToAttach |

Definition at line 38 of file FrameworkMeshObject.cs.

Here is the caller graph for this function:

virtual void DXGfxLib.FrameworkMeshObject.AttachWithLOD | ( | Device | d3ddevice,
|  | FrameworkMesh | meshToAttach |
| ) |  |  | `[virtual]`

Parameters:

  | d3ddevice |
  | meshToAttach |
  | adjacencyBuffer |
  | materials |
  | effects |

Definition at line 52 of file FrameworkMeshObject.cs.

Here is the call graph for this function:

virtual void DXGfxLib.FrameworkMeshObject.AttachWithLOD | ( | Device | d3ddevice,
|  | FrameworkMesh | meshToAttach |
| ) |  |  | `[virtual]`

Parameters:

  | d3ddevice |
  | meshToAttach |
  | adjacencyBuffer |
  | materials |
  | effects |

Definition at line 52 of file FrameworkMeshObject.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

override void DXGfxLib.FrameworkMeshObject.Draw | ( | Device | device | ) | `[virtual]`

In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.

Parameters:

  | device |

Reimplemented from DXGfxLib.MeshObjectWithLOD.

Definition at line 73 of file FrameworkMeshObject.cs.

Here is the call graph for this function:

override void DXGfxLib.FrameworkMeshObject.Draw | ( | Device | device | ) | `[virtual]`

In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.

Parameters:

  | device |

Reimplemented from DXGfxLib.MeshObjectWithLOD.

Definition at line 73 of file FrameworkMeshObject.cs.

Here is the call graph for this function:

## Member Data Documentation

FrameworkMesh DXGfxLib.FrameworkMeshObject::frameworkMesh = null`[protected]`

Most of the time we are going to attach full framework Mesh to our scene object so we keep a possible ref to that in the base SceneObject class. This might be moved to a derive class in the future but it does suit my current needs.

Definition at line 32 of file FrameworkMeshObject.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/FrameworkMeshObject.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/FrameworkMeshObject.cs